# Rendez-vous, Vert !

Ce plugin permet de créer des rendez-vous et de gérer des calendriers très économes, depuis *l'espace privé*. 

Il propose notamment des mécanismes d'archivage et d'anonymisation automatique afin d'éviter la conservation de données personnelles sur durée inadaptée. Les champs de saisies invitent à une minimisation des données collectées.

Le plugin n'utilise aucune librairie et est totalement autonome (pas besoin des javascripts de FullCalendar ou d'installer le plugin Agenda).

Documentation complète sur https://contrib.spip.net/Les-rendez-vous-Vert

# Objets éditoriaux

Deux objets éditoriaux sont proposés
1. des *rendez-vous* (table `spip_vrdvs`). Ces rendez-vous sont rattachés à un calendrier (parent explicite). Ils peuvent être associés à d'autres objets éditioriaux (table auxiliaire avec une colonne rôle `spip_vrdvs_liens`). 
2. des *calendriers* (table `spip_vcalendriers`) qui peuvent être associés à d'autres objets éditioriaux  (table auxiliaire avec une colonne rôle `spip_vcalendriers_liens`).

# Vues

Plusieurs vues sont proposées
1. la vue du *contenu* des objets rendez-vous ou calendriers créés.
2. Un *planning de la semaine* (exec `planning_semaine`) qui affiche très simplement, sous la forme d'un tableau, les rendez-vous d'un calendrier. Après la description des colonnes dont chacune représente un jour de la semaine, dans une premier bloc sont affichées les rendez-vous d'une durée d'une journée ou de plusieurs journées.

# Nécessite

Le plugin nécessite les plugins suivants :
- Saisies pour Formulaires,
- API Vérifier,
- Objet archiver anonymiser.

# Utilise

Si le plugin Coordonnées est activé et convenablement configurer,  alors vos rendez-vous pourront être localiser. Par défaut, les coordonnées d'un rendez-vous créées seront celles déclarées (comme préférées) dans le calendrier parent.
Si le plugin Bcd est activé,  alors vos rendez-vous pourront être ajoutés au calendrier du téléphone portable ou de l'ordinateur de la personne le consultant.

# Noisettes pour les thèmes

- Fichier : `../inclure/vrdv_fiche.html`
- Description : permet d'afficher le rendez-vous

- Fichier : `../inclure/vrdv_adresses.html`
- Description : permet d'afficher l'adresse du rendez-vous

- Fichier : `../inclure/vrdv_documents.html`
- Description : permet d'afficher les documents associés au rendez-vous

- Fichier : `../inclure/vrdv_icalc.html`
- Description : permet d'ajouter un bouton pour récupérer le rendez-vous (icalc) sur un calendrier