<?php

/*
 * Formulaire de configuration du plugin
 *
 * Documentation sur le plugin Saisies pour formulaires et la configuration :
 * link : https://contrib.spip.net/Formulaire-de-configuration-avec-le-plugin-Saisies
 */

//Sécurité
if (!defined('_ECRIRE_INC_VERSION')) return;
 
 
/**
 * Un simple formulaire de config
 *
 * Le plugin propose :
 * - le délai avant archivage des rendez-vous
 * - le délai avant anonymisation des rendez-vous archivés
 * - de placer par défaut le lieu déclarer dans le calendrier comme lieu de survenance du rendez-vous
 *
 * @link : https://contrib.spip.net/Formulaire-de-configuration-avec-le-plugin-Saisies
 **/
function formulaires_configurer_vrdv_saisies_dist(){

	$saisies = [
		[
			'saisie' => 'fieldset',
			'options' => [
				'nom' => 'ecologie',
				'label' => _T('vrdv:config_fieldset_ecologie'),
				'explication' => '<:vrdv:config_explication_ecologie:>',
			],
			'saisies' => [ 
				[
					'saisie' => 'selection',
					'options' => [
						'nom' => 'delai_pour_archiver',
						'label' => '<:vrdv:config_label_delai_pour_archiver:>',
						'explication' => '<:vrdv:config_explication_delai_pour_archiver:>',
						'cacher_option_intro' => 'oui',
						'defaut' => '+1 month',
						'data' => [
							'-1 week' => '<:vrdv:config_data_1_semaine:>',
							'-2 week' => '<:vrdv:config_data_2_semaine:>',
							'-1 month' => '<:vrdv:config_data_1_mois:>',
							'-2 month' => '<:vrdv:config_data_2_mois:>'
						]
					]
				],
				[
					'saisie' => 'selection',
					'options' => [
						'nom' => 'delai_pour_anonymiser',
						'label' => '<:vrdv:config_label_delai_pour_anonymiser:>',
						'explication' => '<:vrdv:config_explication_delai_pour_anonymiser:>',
						'cacher_option_intro' => 'oui',
						'defaut' => '+3 month',
						'data' => [
							'-2 week' => '<:vrdv:config_data_2_semaine:>',
							'-1 month' => '<:vrdv:config_data_1_mois:>',
							'-2 month' => '<:vrdv:config_data_2_mois:>',
							'-3 month' => '<:vrdv:config_data_3_mois:>',
							'-4 month' => '<:vrdv:config_data_4_mois:>'
						]
					]
				],
				[
					'saisie' => 'selection',
					'options' => [
						'nom' => 'duree_du_rdv',
						'label' => '<:vrdv:config_label_duree_du_rdv:>',
						'explication' => '<:vrdv:config_explication_duree_du_rdv:>',
						'cacher_option_intro' => 'oui',
						'defaut' => '+1 hour',
						'data' => [
							'+15 minutes' => '<:vrdv:config_data_15_minutes:>',
							'+20 minutes' => '<:vrdv:config_data_20_minutes:>',
							'+30 minutes' => '<:vrdv:config_data_30_minutes:>',
							'+45 minutes' => '<:vrdv:config_data_45_minutes:>',
							'+1 hour' => '<:vrdv:config_data_1_heure:>'
						]
					]
				],
				[
					'saisie' => 'case',
					'options' => [
						'nom' => 'lieu_du_calendrier',
						'label' => '<:vrdv:config_label_lieu_du_calendrier:>',
						'label_case' => '<:vrdv:config_label_case_lieu_du_calendrier:>',
						'explication' => '<:vrdv:config_explication_lieu_du_calendrier:>',
						'conteneur_class' => 'pleine_largeur',
						'valeur_oui' => 'oui',
						'valeur_non' => 'non',
						'defaut' => 'oui',
					],
				],
			]
		]
	];

	return $saisies;
}